import { ElementRef, OnInit, OnChanges, SimpleChanges } from "@angular/core";
import * as i0 from "@angular/core";
export declare class AlForceFocusDirective implements OnInit, OnChanges {
    private el;
    forceFocus: boolean;
    targetTag?: string;
    afterFocus?: {
        (element: HTMLElement): void;
    };
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    applyFocus(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlForceFocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<AlForceFocusDirective, "[alForceFocus]", never, { "forceFocus": "alForceFocus"; "targetTag": "targetTag"; "afterFocus": "afterFocus"; }, {}, never>;
}
